Download beta or pre-release OverTone DSP software and plug-ins View Cart / CheckoutView Cart / Checkout

Beta Software Icon
Important:
This page contains downloads of beta and pre-release OverTone DSP software, including feature additions to existing products. The software is provided for evaluation and is not guaranteed feature complete or error free. Product specifications are subject to change without notice in subsequent releases. For further information, please refer to the documentation provided in the plug-in download.
 
Demo Restrictions:
Plug-ins are free to download and try in demo mode. Every 60 seconds the audio will fade out momentarily. To remove these restrictions you will need to buy or use an existing product activation key. Product activation keys are also valid for released versions of the software.
 
OverTone PTC-2A Vintage Program EQ emulation.
This is PTC-2A V3.0.0 - RCX-05 Beta AudioUnit / VST3 for Mac and Windows. This build includes a hardware accelerated (openGL) UI, with live resizing, additional output level trim control and phase (polarity) switch. To disable the demo restrictions, a valid PTC-2A activation key will be required. If you already have an existing PTC-2A product activation key it can be used to enable this plug-in. Alternatively, you can purchase an activation key which will also be valid for released versions of the plug-in.
 
Requirements - Mac:
  • Mac OS X 10.8 or later / macOS Sierra.
  • 64Bit Mac VST3 / AudioUnit compatible host application.
  • Support for openGL 3.x or later - integral to compatible Macs.
Requirements - Windows:
  • Windows 7 or later.
  • 64Bit VST3 compatible host application.
  • Graphics adapter / drivers with support for openGL 3.x or later.
OverTone PTM-5A Vintage MEQ-5 style mid-range EQ emulation.
This is PTM-5A V3.0.0 - RCX-03 Beta AudioUnit / VST3 for Mac and Windows. This build includes a hardware accelerated (openGL) UI, with live resizing, additional output level trim control and phase (polarity) switch. To disable the demo restrictions, a valid PTM-5A activation key will be required. If you already have an existing PTM-5A product activation key it can be used to enable this plug-in. Alternatively, you can purchase an activation key which will also be valid for released versions of the plug-in.
 
Requires:
  • Mac OS X 10.8 or later / macOS Sierra.
  • 64Bit Mac VST3 / AudioUnit compatible host application.
  • Support for openGL 3.x or later - integral to compatible Macs.
Requirements - Windows:
  • Windows 7 or later.
  • 64Bit VST3 compatible host application.
  • Graphics adapter / drivers with support for openGL 3.x or later.
OverTone FC70 Vintage Limiter emulation.
This is FC70 V3.0.0 - RCX-04 Beta AudioUnit / VST3 for Mac and Windows. This build includes a hardware accelerated (openGL) UI, with live resizing, additional output level trim control and phase (polarity) switch. To disable the demo restrictions, a valid FC70 activation key will be required. If you already have an existing FC70 product activation key it can be used to enable this plug-in. Alternatively, you can purchase an activation key which will also be valid for released versions of the plug-in.
 
Requirements - Mac:
  • Mac OS X 10.8 or later / macOS Sierra.
  • 64Bit Mac VST3 / AudioUnit compatible host application.
  • Support for openGL 3.x or later - integral to compatible Macs.
Requirements - Windows:
  • Windows 7 or later.
  • 64Bit VST3 compatible host application.
  • Graphics adapter / drivers with support for openGL 3.x or later.
OverTone PTC-2A Vintage Program EQ emulation.
PTC-2A V2.4.2 is now available to download for Windows and Mac and Linux, or available together with updated linux compatible builds of the PTM-5A and FC70 plug-ins included in the vintage plug-ins bundle.
 
Requirements - Linux:
  • An X11 based Linux distribution such as Ubuntu (LTS).
  • 32 or 64Bit VST2 compatible host application.
  • JACK audio server (required for standalone application only).